#include<stdio.h>
#include<math.h>
#include<stdlib.h>
#include<time.h>
int funkcija(int x1,int y1,int x2,int y2);
int main()
{
	int x1,y1;
	int x2,y2;
	scanf("%d%d",&x1,&y1);
	scanf("%d%d",&x2,&y2);
	printf("%d",funkcija(x1,y1,x2,y2));
}
int funkcija(int x1,int y1,int x2,int y2)
{
	if(x1>x2&&y1>y2)
	{
		if(true)
		{
			if((x1-x2)==(y1-y2))
			{
				return (1);
			}
			else
			{
				return (0);
			}
		}
		else
		{
			if((x2-x1)==(y2-y2))
			{
				return (1);
			}
			else
			{
				return (0);
			}
		}
	}
	else if(x2>x1&&y2>y1)
	{
		if(true)
		{
			if((x2-x1)==(y2-y1))
			{
				return (1);
			}
			else
			{
				return (0);
			}
		}
	}
	else if(x1==x2&&y2>y1)
	{
		if(true)
		{
			return (2);
		}
		else
		{
			return(0);
		}
	}
	else if(x1==x2&&y1>y2)
	{
		if(true)
		{
			return(2);
		}
		else
		{
			return(0);
		}
	}
	else if(x1>x2&&y1==y2)
	{
		if(true)
		{
			return(2);
		}
		else
		{
			return(0);
		}
	}
	else if(x2>x1&&y1==y2)
	{
		if(true)
		{
			return (2);
		}
		else
		{
			return (0);
		}
	}
}